# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: bfshell.proto
# flake8: noqa
# pylint: disable-all
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database

# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(
    b'\n\rbfshell.proto\x12\x07\x62\x66shell"\x1c\n\x0cShellRequest\x12\x0c\n\x04name\x18\x01 \x01(\t"\x07\n\x05\x45mpty"\x1d\n\nShellReply\x12\x0f\n\x07message\x18\x01 \x01(\t2\xb1\x02\n\x07\x42\x46shell\x12\x39\n\x10get_qsfp_serials\x12\x0e.bfshell.Empty\x1a\x13.bfshell.ShellReply"\x00\x12\x33\n\nget_serial\x12\x0e.bfshell.Empty\x1a\x13.bfshell.ShellReply"\x00\x12\x43\n\x13get_qsfp_temp_power\x12\x15.bfshell.ShellRequest\x1a\x13.bfshell.ShellReply"\x00\x12\x36\n\rget_fan_speed\x12\x0e.bfshell.Empty\x1a\x13.bfshell.ShellReply"\x00\x12\x39\n\x10get_general_temp\x12\x0e.bfshell.Empty\x1a\x13.bfshell.ShellReply"\x00\x62\x06proto3'
)


_SHELLREQUEST = DESCRIPTOR.message_types_by_name["ShellRequest"]
_EMPTY = DESCRIPTOR.message_types_by_name["Empty"]
_SHELLREPLY = DESCRIPTOR.message_types_by_name["ShellReply"]
ShellRequest = _reflection.GeneratedProtocolMessageType(
    "ShellRequest",
    (_message.Message,),
    {
        "DESCRIPTOR": _SHELLREQUEST,
        "__module__": "bfshell_pb2"
        # @@protoc_insertion_point(class_scope:bfshell.ShellRequest)
    },
)
_sym_db.RegisterMessage(ShellRequest)

Empty = _reflection.GeneratedProtocolMessageType(
    "Empty",
    (_message.Message,),
    {
        "DESCRIPTOR": _EMPTY,
        "__module__": "bfshell_pb2"
        # @@protoc_insertion_point(class_scope:bfshell.Empty)
    },
)
_sym_db.RegisterMessage(Empty)

ShellReply = _reflection.GeneratedProtocolMessageType(
    "ShellReply",
    (_message.Message,),
    {
        "DESCRIPTOR": _SHELLREPLY,
        "__module__": "bfshell_pb2"
        # @@protoc_insertion_point(class_scope:bfshell.ShellReply)
    },
)
_sym_db.RegisterMessage(ShellReply)

_BFSHELL = DESCRIPTOR.services_by_name["BFshell"]
if _descriptor._USE_C_DESCRIPTORS == False:

    DESCRIPTOR._options = None
    _SHELLREQUEST._serialized_start = 26
    _SHELLREQUEST._serialized_end = 54
    _EMPTY._serialized_start = 56
    _EMPTY._serialized_end = 63
    _SHELLREPLY._serialized_start = 65
    _SHELLREPLY._serialized_end = 94
    _BFSHELL._serialized_start = 97
    _BFSHELL._serialized_end = 402
# @@protoc_insertion_point(module_scope)
